from django.urls import path, include
from rest_framework import routers
from . import views

quick_input_router = routers.DefaultRouter()
quick_input_router.register(prefix='', viewset=views.QuickInputViewSet)

product_router = routers.DefaultRouter()
product_router.register(prefix='', viewset=views.ProductViewSet)

warehouse_router = routers.DefaultRouter()
warehouse_router.register(prefix='', viewset=views.WareHouseViewSet)

product_category_router = routers.DefaultRouter()
product_category_router.register(prefix='', viewset=views.ProductCategoryViewSet)

supplier_router = routers.DefaultRouter()
supplier_router.register(prefix='', viewset=views.SupplierViewSet)

employee_router = routers.DefaultRouter()
employee_router.register(prefix='', viewset=views.EmployeeViewSet)

employee_type_router = routers.DefaultRouter()
employee_type_router.register(prefix='', viewset=views.EmployeeTypeViewSet)

customer_router = routers.DefaultRouter()
customer_router.register(prefix='', viewset=views.CustomerViewSet)

vehicle_type_router = routers.DefaultRouter()
vehicle_type_router.register(prefix='', viewset=views.VehicleTypeViewSet)

bank_account_router = routers.DefaultRouter()
bank_account_router.register(prefix='', viewset=views.BankAccountViewSet)

device_info_router = routers.DefaultRouter()
device_info_router.register(prefix='', viewset=views.DeviceInfoViewSet)

vehicle_transport_record_router = routers.DefaultRouter()
vehicle_transport_record_router.register(prefix='', viewset=views.VehicleTransportRecordViewSet)

# UserProfile router
user_profile_router = routers.DefaultRouter()
user_profile_router.register(prefix='', viewset=views.UserProfileViewSet)

urlpatterns = [
    path('quick-inputs/', include(quick_input_router.urls)),
    path('products/', include(product_router.urls)),
    path('warehouses/', include(warehouse_router.urls)),
    path('product-categories/', include(product_category_router.urls)),
    path('suppliers/', include(supplier_router.urls)),
    path('employees/', include(employee_router.urls)),
    path('employee-types/', include(employee_type_router.urls)),
    path('customers/', include(customer_router.urls)),
    path('vehicle-types/', include(vehicle_type_router.urls)),
    path('bank-accounts/', include(bank_account_router.urls)),
    path('device-info/', include(device_info_router.urls)),
    path('vehicle-transport-records/', include(vehicle_transport_record_router.urls)),
    path('user-profiles/', include(user_profile_router.urls)),
]